## leechcraft 0.4.55-maemo-2

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT (leechcraft)
#IF (NOT DISABLE_RPATH_TRICKS)
#	SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
#	SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
#	SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
#ENDIF (NOT DISABLE_RPATH_TRICKS)
IF (MSVC)
	SET (CMAKE_CXX_FLAGS "/GX /W3")
	SET (CMAKE_CXX_FLAGS_RELEASE "/Ob2 /O2 /Ot /Oi /Oy /GT /GL /MD")
	SET (CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup")
	ADD_DEFINITIONS (-DBOOST_PROGRAM_OPTIONS_DYN_LINK)
ENDIF (MSVC)
IF (UNIX)
	SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fno-strict-aliasing")
	SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed")
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
	IF (EXTRA_WARNINGS)
		SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
	ENDIF (EXTRA_WARNINGS)
	IF (USE_PIPE)
		SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe")
	ENDIF (USE_PIPE)
ENDIF (UNIX)
IF (WIN32 AND NOT MSVC)
	SET (CMAKE_CXX_FLAGS "-Wall")
ENDIF (WIN32 AND NOT MSVC)

IF (GPTOOLS_CPU AND GPTOOLS_MEM)
	SET (GPTOOLS_CPU FALSE)
	SET (GPTOOLS_MEM FALSE)
	SET (GPTOOLS_CPU_AND_MEM TRUE)
ENDIF (GPTOOLS_CPU AND GPTOOLS_MEM)
IF (GPTOOLS_MEM)
	MESSAGE (STATUS "Enabled memory profiling via Google perftools")
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -ltcmalloc")
	SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ltcmalloc")
ENDIF (GPTOOLS_MEM)
IF (GPTOOLS_CPU)
	MESSAGE (STATUS "Enabled CPU profiling via Google perftools")
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lprofiler")
	SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lprofiler")
ENDIF (GPTOOLS_CPU)
IF (GPTOOLS_CPU_AND_MEM)
	MESSAGE (STATUS "Enabled both CPU and memory profiling via Google perftools")
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -ltcmalloc_and_profiler")
	SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ltcmalloc_and_profiler")
ENDIF (GPTOOLS_CPU_AND_MEM)

STRING (COMPARE EQUAL ${CMAKE_SIZEOF_VOID_P} "8" IS64BITS)

IF (IS64BITS AND RESPECTLIB64)
	SET (LIBDIR "lib64")
ELSE (IS64BITS AND RESPECTLIB64)
	SET (LIBDIR "lib")
ENDIF (IS64BITS AND RESPECTLIB64)

SET (LC_PLUGINS_DEST "${LIBDIR}/leechcraft/plugins")
SET (LC_TRANSLATIONS_DEST "share/leechcraft/translations")
SET (LC_SETTINGS_DEST "share/leechcraft/settings")
SET (LC_INSTALLEDMANIFEST_DEST "share/leechcraft/installed")

FIND_PACKAGE (Boost REQUIRED COMPONENTS date_time filesystem program_options system thread)
FIND_PACKAGE (Qt4 REQUIRED)

STRING (COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" STANDARD_PREFIX)
IF (NOT STANDARD_PREFIX)
	STRING (COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr/local" STANDARD_PREFIX)
ENDIF ()

IF (CMAKE_INSTALL_PREFIX AND NOT STANDARD_PREFIX)
	ADD_DEFINITIONS (-DINSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")
ENDIF (CMAKE_INSTALL_PREFIX AND NOT STANDARD_PREFIX)

ADD_SUBDIRECTORY (plugininterface)
ADD_SUBDIRECTORY (xmlsettingsdialog)
ADD_SUBDIRECTORY (iconsets)

SET (LEECHCRAFT_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
SET (LEECHCRAFT_LIBRARIES plugininterface xmlsettingsdialog)

OPTION (ENABLE_SUMMARY "Build Summary, the plugin that shows a handy summary of the stuff going on" ON)
OPTION (ENABLE_TORRENT "Build BitTorrent, the BitTorrent client" ON)
OPTION (ENABLE_AGGREGATOR "Build Aggregator, the RSS/Atom feed reader" ON)
OPTION (ENABLE_POSHUKU "Build Poshuku, the WWW Browser" ON)
OPTION (ENABLE_HTTP "Build CSTP, the HTTP implementation" ON)
OPTION (ENABLE_FTP "Build LCFTP, the FTP client" ON)
OPTION (ENABLE_LMP "Build LMP, the LeechCraft Media Previewer" ON)
OPTION (ENABLE_DBUSMANAGER "Build DBusManager, the D-Bus support for the LeechCraft" ON)
OPTION (ENABLE_DEADLYRICS "Build DeadLyrics, the client for the lyricwiki.org site" ON)
OPTION (ENABLE_SEEKTHRU "Build SeekThru, the client for the OpenSearch-aware web sites" ON)
OPTION (ENABLE_NETWORKMONITOR "Build NetworkMonitor, the monitor for HTTP requests" ON)
OPTION (ENABLE_HISTORYHOLDER "Build HistoryHolder, the keeper of the history" ON)
OPTION (ENABLE_CHATTER "Build Chatter, simple IRC client" ON)
OPTION (ENABLE_NEWLIFE "Build NewLife, the settings importer" ON)
OPTION (ENABLE_ANHERO "Build AnHero, the crash handler" ON)
OPTION (ENABLE_VGRABBER "Build vGrabber, the vkontakte.ru music/video getter" ON)
OPTION (ENABLE_KINOTIFY "Build Kinotify, fancy kinetic notifications" ON)
OPTION (ENABLE_AUSCRIE "Build Auscrie, the auto screenshooter" ON)
OPTION (ENABLE_TABPP "Build Tab++, the enhanced tab manager" ON)
OPTION (ENABLE_EISKALTDCPP "Build EiskaltDC++ client" OFF)
OPTION (ENABLE_AZOTH "Build Azoth, the IM client" OFF)
OPTION (ENABLE_SECMAN "Build SecMan, security & personal data manager" OFF)
OPTION (ENABLE_QROSP "Build Qrosp, the scripting support plugin" OFF)
OPTION (ENABLE_POPISHU "Build Qrosp, the scripting support plugin" OFF)
OPTION (ENABLE_LACKMAN "Build LackMan, the package manager for LeechCraft" OFF)
OPTION (ENABLE_SYNCER "Build Syncer, the synchronization plugin for LeechCraft" OFF)
OPTION (ENABLE_SHELLOPEN "Build ShellOpen, the plugin supporting handling entities via external applications" ON)
OPTION (ENABLE_POTORCHU "Build Potorchu, the new generation audio/video player" OFF)
OPTION (ENABLE_TRANSPARENTARCH "Build TransparentArch, the plugin for transparent access to archives in various formats" OFF)
ENABLE_TESTING ()

IF (ENABLE_SUMMARY)
	ADD_SUBDIRECTORY (plugins/summary)
ENDIF (ENABLE_SUMMARY)

IF (ENABLE_TORRENT)
	ADD_SUBDIRECTORY (plugins/bittorrent)
ENDIF (ENABLE_TORRENT)

IF (ENABLE_AGGREGATOR)
	ADD_SUBDIRECTORY (plugins/aggregator)
ENDIF (ENABLE_AGGREGATOR)

IF (ENABLE_POSHUKU)
	ADD_SUBDIRECTORY (plugins/poshuku)
ENDIF (ENABLE_POSHUKU)

IF (ENABLE_CHATTER)
	ADD_SUBDIRECTORY (plugins/chatter)
ENDIF (ENABLE_CHATTER)

IF (ENABLE_HTTP)
	ADD_SUBDIRECTORY (plugins/cstp)
ENDIF (ENABLE_HTTP)

IF (ENABLE_FTP)
	ADD_SUBDIRECTORY (plugins/lcftp)
ENDIF (ENABLE_FTP)

IF (ENABLE_LMP)
	ADD_SUBDIRECTORY (plugins/lmp)
ENDIF (ENABLE_LMP)

IF (ENABLE_DBUSMANAGER)
	ADD_SUBDIRECTORY (plugins/dbusmanager)
ENDIF (ENABLE_DBUSMANAGER)

IF (ENABLE_DEADLYRICS)
	ADD_SUBDIRECTORY (plugins/deadlyrics)
ENDIF (ENABLE_DEADLYRICS)

IF (ENABLE_SEEKTHRU)
	ADD_SUBDIRECTORY (plugins/seekthru)
ENDIF (ENABLE_SEEKTHRU)

IF (ENABLE_NETWORKMONITOR)
	ADD_SUBDIRECTORY (plugins/networkmonitor)
ENDIF (ENABLE_NETWORKMONITOR)

IF (ENABLE_HISTORYHOLDER)
	ADD_SUBDIRECTORY (plugins/historyholder)
ENDIF (ENABLE_HISTORYHOLDER)

IF (ENABLE_NEWLIFE)
	ADD_SUBDIRECTORY (plugins/newlife)
ENDIF (ENABLE_NEWLIFE)

IF (ENABLE_ANHERO)
	ADD_SUBDIRECTORY (plugins/anhero)
ENDIF (ENABLE_ANHERO)

IF (ENABLE_VGRABBER)
	ADD_SUBDIRECTORY (plugins/vgrabber)
ENDIF (ENABLE_VGRABBER)

IF (ENABLE_KINOTIFY)
	ADD_SUBDIRECTORY (plugins/kinotify)
ENDIF (ENABLE_KINOTIFY)

IF (ENABLE_AUSCRIE)
	ADD_SUBDIRECTORY (plugins/auscrie)
ENDIF (ENABLE_AUSCRIE)

IF (ENABLE_TABPP)
	ADD_SUBDIRECTORY (plugins/tabpp)
ENDIF (ENABLE_TABPP)

IF (ENABLE_EISKALTDCPP)
	ADD_SUBDIRECTORY (plugins/eiskaltdcpp)
ENDIF (ENABLE_EISKALTDCPP)

IF (ENABLE_AZOTH)
	ADD_SUBDIRECTORY (plugins/azoth)
ENDIF (ENABLE_AZOTH)

IF (ENABLE_SECMAN)
	ADD_SUBDIRECTORY (plugins/secman)
ENDIF (ENABLE_SECMAN)

IF (ENABLE_QROSP)
	ADD_SUBDIRECTORY (plugins/qrosp)
ENDIF (ENABLE_QROSP)

IF (ENABLE_POPISHU)
	ADD_SUBDIRECTORY (plugins/popishu)
ENDIF (ENABLE_POPISHU)

IF (ENABLE_LACKMAN)
	ADD_SUBDIRECTORY (plugins/lackman)
ENDIF (ENABLE_LACKMAN)

IF (ENABLE_SYNCER)
	ADD_SUBDIRECTORY (plugins/syncer)
ENDIF (ENABLE_SYNCER)

IF (ENABLE_SHELLOPEN)
	ADD_SUBDIRECTORY (plugins/shellopen)
ENDIF (ENABLE_SHELLOPEN)

IF (ENABLE_POTORCHU)
	ADD_SUBDIRECTORY (plugins/potorchu)
ENDIF (ENABLE_POTORCHU)

IF (ENABLE_TRANSPARENTARCH)
	ADD_SUBDIRECTORY (plugins/transparentarch)
ENDIF (ENABLE_TRANSPARENTARCH)

SET (QT_USE_QTNETWORK TRUE)
SET (QT_USE_QTXML TRUE)
SET (QT_USE_QTSQL TRUE)
SET (QT_USE_QTSCRIPT TRUE)
INCLUDE (${QT_USE_FILE})

INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	.
	plugininterface/)

SET (SRCS
	mainwindow.cpp
	commonjobadder.cpp
	core.cpp
	main.cpp
	pluginmanager.cpp
	xmlsettingsmanager.cpp
	pluginmanagerdialog.cpp
	fancypopupmanager.cpp
	skinengine.cpp
	childactioneventfilter.cpp
	tabmanager.cpp
	logtoolbox.cpp
	settingssink.cpp
	authenticationdialog.cpp
	sslerrorsdialog.cpp
	storagebackend.cpp
	sqlstoragebackend.cpp
	debugmessagehandler.cpp
	application.cpp
	handlerchoicedialog.cpp
	tabwidget.cpp
	graphwidget.cpp
	shortcutmanager.cpp
	keysequencer.cpp
	networkdiskcache.cpp
	networkaccessmanager.cpp
	coreproxy.cpp
	tagsmanager.cpp
	tagsviewer.cpp
	directorywatcher.cpp
	aboutdialog.cpp
	startupwizard.cpp
	localsockethandler.cpp
	toolbarguard.cpp
	clipboardwatcher.cpp
	glanceshower.cpp
	glanceitem.cpp
	tabbar.cpp
	wizardtypechoicepage.cpp
	3dparty/qxttooltip.cpp
	fullscreenspacerlabel.cpp
	newtabmenumanager.cpp
	plugintreebuilder.cpp
	)
SET (HEADERS
	mainwindow.h
	commonjobadder.h
	core.h
	pluginmanager.h
	xmlsettingsmanager.h
	pluginmanagerdialog.h
	fancypopupmanager.h
	skinengine.h
	childactioneventfilter.h
	tabmanager.h
	logtoolbox.h
	settingssink.h
	authenticationdialog.h
	sslerrorsdialog.h
	storagebackend.h
	sqlstoragebackend.h
	debugmessagehandler.h
	application.h
	handlerchoicedialog.h
	tabwidget.h
	graphwidget.h
	shortcutmanager.h
	keysequencer.h
	networkdiskcache.h
	networkaccessmanager.h
	coreproxy.h
	tagsmanager.h
	tagsviewer.h
	directorywatcher.h
	aboutdialog.h
	startupwizard.h
	localsockethandler.h
	toolbarguard.h
	clipboardwatcher.h
	glanceshower.h
	glanceitem.h
	tabbar.h
	fullscreenspacerlabel.h
	newtabmenumanager.h
	wizardtypechoicepage.h
	plugintreebuilder.h
	3dparty/qxttooltip.h
	3dparty/qxttooltip_p.h
	interfaces/structures.h
	)
SET (FORMS
	commonjobadder.ui
	leechcraft.ui
	pluginmanagerdialog.ui
	logtoolbox.ui
	settingssink.ui
	authenticationdialog.ui
	sslerrorsdialog.ui
	handlerchoicedialog.ui
	shortcutmanager.ui
	keysequencer.ui
	tagsviewer.ui
	aboutdialog.ui
	wizardtypechoicepage.ui
	)
SET (RESOURCES mainresources.qrc)
SET (TRANSLATIONS
	leechcraft_ru_RU.ts
	leechcraft_de.ts
	leechcraft_uk_UA.ts
	leechcraft_it.ts
	leechcraft_ar.ts
	leechcraft_eo.ts
	leechcraft_es.ts
	leechcraft_tr.ts
	leechcraft_en.ts
	leechcraft_be.ts
	leechcraft_fr.ts
	leechcraft_pl.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_it.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_eo.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_tr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_be.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_pl.qm
	)

ADD_DEFINITIONS (-DBOOST_PROGRAM_OPTIONS_DYN_LINK)

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)

IF (NOT DEFINED LEECHCRAFT_VERSION)
	FIND_PROGRAM (GIT_CMD git)
	EXECUTE_PROCESS (COMMAND "${GIT_CMD}" describe
		OUTPUT_VARIABLE LEECHCRAFT_VERSION
		OUTPUT_STRIP_TRAILING_WHITESPACE
		)
	IF (NOT DEFINED LEECHCRAFT_VERSION)
		IF (WIN32)
			EXECUTE_PROCESS(COMMAND "date" "/T" OUTPUT_VARIABLE
				${LEECHCRAFT_VERSION})
			STRING(REGEX REPLACE "(..)/(..)/..(..).*" "\\3\\2\\1"
				${LEECHCRAFT_VERSION} ${${LEECHCRAFT_VERSION}})
		ELSEIF(UNIX)
			EXECUTE_PROCESS(COMMAND "date" "+%d/%m/%Y" OUTPUT_VARIABLE
				${LEECHCRAFT_VERSION})
			STRING(REGEX REPLACE "(..)/(..)/..(..).*" "\\3\\2\\1"
				${LEECHCRAFT_VERSION} ${${LEECHCRAFT_VERSION}})
		ELSE (WIN32)
			MESSAGE(SEND_ERROR "date not implemented")
			SET(${RESULT} 000000)
		ENDIF (WIN32)

=== src/plugins/anhero/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_anhero)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

FIND_PACKAGE (KDE4 4.2.0)

IF (NOT KDE4_FOUND)
	MESSAGE (WARNING "KDE 4.2 or higher was not found, not building AnHero.")
	RETURN ()
ENDIF (NOT KDE4_FOUND)

INCLUDE (${QT_USE_FILE})
INCLUDE (KDE4Defaults)

INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${KDE4_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	anhero.cpp
	)
SET (HEADERS
	anhero.h
	)
SET (TRANSLATIONS
	leechcraft_anhero_ru_RU.ts
	leechcraft_anhero_uk_UA.ts
	leechcraft_anhero_ar.ts
	leechcraft_anhero_de.ts
	leechcraft_anhero_fr.ts
	leechcraft_anhero_oc.ts
	leechcraft_anhero_en.ts
	)
SET (RESOURCES anheroresources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_anhero_en.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_anhero SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_anhero
	${QT_LIBRARIES}
	${KDE4_KUTILS_LIBS}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_anhero DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})

=== src/plugins/historyholder/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_historyholder)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	historyholder.cpp
	findproxy.cpp
	core.cpp
	)
SET (HEADERS
	historyholder.h
	findproxy.h
	core.h
	)
SET (TRANSLATIONS
	leechcraft_historyholder_ru_RU.ts
	leechcraft_historyholder_uk_UA.ts
	leechcraft_historyholder_ar.ts
	leechcraft_historyholder_de.ts
	leechcraft_historyholder_es.ts
	leechcraft_historyholder_oc.ts
	leechcraft_historyholder_en.ts
	leechcraft_historyholder_fr.ts
	leechcraft_historyholder_pl.ts
	)
SET (RESOURCES historyholderresources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_historyholder_pl.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_historyholder SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_historyholder
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_historyholder DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})

=== src/plugins/lmp/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_lmp)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

FIND_PACKAGE (Phonon)

IF (NOT QT_PHONON_FOUND)
	MESSAGE (ERROR "Phonon not found, LMP could not be built")
ENDIF (NOT QT_PHONON_FOUND)

SET (QT_USE_QTNETWORK TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${QT_PHONON_INCLUDES}
	${LEECHCRAFT_INCLUDE_DIR}
	${Boost_INCLUDE_DIR}
	)
SET (SRCS
	lmp.cpp
	core.cpp
	xmlsettingsmanager.cpp
	keyinterceptor.cpp
	videosettings.cpp
	entitychecker.cpp
	player.cpp
	playerwidget.cpp
	defaultwidget.cpp
	)
SET (HEADERS
	lmp.h
	core.h
	xmlsettingsmanager.h
	keyinterceptor.h
	videosettings.h
	entitychecker.h
	player.h
	playerwidget.h
	defaultwidget.h
	phonon.h
	)
SET (FORMS
    player.ui
	playerwidget.ui
	videosettings.ui
	)
SET (RESOURCES resources.qrc)
SET (TRANSLATIONS
	leechcraft_lmp_ru_RU.ts
	leechcraft_lmp_uk_UA.ts
	leechcraft_lmp_ar.ts
	leechcraft_lmp_de.ts
	leechcraft_lmp_es.ts
	leechcraft_lmp_pl.ts
	leechcraft_lmp_en.ts
	leechcraft_lmp_eo.ts
	leechcraft_lmp_fr.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_pl.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_eo.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_lmp_fr.qm
	)

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_lmp SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_lmp
	${QT_LIBRARIES}
	${QT_PHONON_LIBS}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_lmp DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES lmpsettings.xml DESTINATION ${LC_SETTINGS_DEST})

=== src/plugins/newlife/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_newlife)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTXML TRUE)
SET (QT_USE_QTSQL TRUE)

INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)

SET (SRCS
	newlife.cpp
	importwizard.cpp
	akregatorimporter.cpp
	akregatorimportpage.cpp
	firstpage.cpp
	lifereaimportpage.cpp
	lifereaimporter.cpp
	ktorrentimportpage.cpp
	ktorrentimporter.cpp
	firefoximporter/firefoximportpage.cpp
	firefoximporter/firefoximporter.cpp
	firefoximporter/firefoxprofileselectpage.cpp
	)
SET (HEADERS
	newlife.h
	importwizard.h
	akregatorimporter.h
	akregatorimportpage.h
	firstpage.h
	lifereaimportpage.h
	lifereaimporter.h
	ktorrentimportpage.h
	ktorrentimporter.h
	abstractimporter.h
	firefoximporter/firefoximportpage.h
	firefoximporter/firefoximporter.h
	firefoximporter/firefoxprofileselectpage.h
	)
SET (FORMS
	importwizard.ui
	feedssettingsimportpage.ui
	firstpage.ui
	firefoximporter/firefoxprofileselectpage.ui
	)
SET (TRANSLATIONS
	leechcraft_newlife_ru_RU.ts
	leechcraft_newlife_uk_UA.ts
	leechcraft_newlife_ar.ts
	leechcraft_newlife_be.ts
	leechcraft_newlife_de.ts
	leechcraft_newlife_en.ts
	leechcraft_newlife_pl.ts
	leechcraft_newlife_fr.ts
	)
SET (RESOURCES newliferesources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_be.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_pl.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_newlife_fr.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_newlife SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_newlife
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_newlife DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})

=== src/plugins/syncer/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_syncer)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTNETWORK TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	syncer.cpp
	core.cpp
	datastoragebase.cpp
	datastorageserver.cpp
	serverconnection.cpp
	serverchainhandler.cpp
	xmlsettingsmanager.cpp
	)
SET (HEADERS
	syncer.h
	core.h
	datastoragebase.h
	datastorageserver.h
	serverconnection.h
	serverchainhandler.h
	xmlsettingsmanager.h
	)
SET (TRANSLATIONS
	leechcraft_syncer_ru_RU.ts
	leechcraft_syncer_en.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_syncer_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_syncer_en.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_syncer SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_syncer
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_syncer DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES syncersettings.xml DESTINATION ${LC_SETTINGS_DEST})

## leechcraft 0.4.55-maemo-1

=== debian/changelog ===
leechcraft (0.4.55-maemo-1) unstable; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:39:33 +0300

leechcraft (0.4.55+trunk0-1) unstable; urgency=low

  * New upstream version (Closes: #607440)

 -- Daniel Guzanoff <melkor217@gmail.com>  Fri, 03 Dec 2010 03:01:44 +0300

=== debian/control ===
Source: leechcraft
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),
 cdbs,
 cmake (>= 2.6),
 libboost1.42-all-dev,
 libboost-thread1.42-dev,
 libboost-date-time1.42-dev,
 libboost-filesystem1.42-dev,
 libboost-regex1.42-dev,
 libboost-program-options1.42-dev,
 libbz2-dev,
 libqjson-dev,
 libqxmpp-dev,
 libqt4-dev (>= 4.6.0)
Standards-Version: 3.9.1
Homepage: http://leechcraft.org

Package: leechcraft-full
Architecture: any
Depends: ${misc:Depends},
 libqt4-sql-sqlite (>= 4.6.0),
 leechcraft (= ${binary:Version}),
 leechcraft-aggregator (= ${binary:Version}),
 leechcraft-anhero (= ${binary:Version}),
 leechcraft-auscrie (= ${binary:Version}),
 leechcraft-chatter  (= ${binary:Version}),
 leechcraft-cstp (= ${binary:Version}),
 leechcraft-dbusmanager (= ${binary:Version}),
 leechcraft-deadlyrics (= ${binary:Version}),
 leechcraft-historyholder (= ${binary:Version}),
 leechcraft-kinotify (= ${binary:Version}),
 leechcraft-lcftp (= ${binary:Version}),
 leechcraft-lmp (= ${binary:Version}),
 leechcraft-networkmonitor (= ${binary:Version}),
 leechcraft-newlife (= ${binary:Version}),
 leechcraft-poshuku (= ${binary:Version}),
 leechcraft-poshuku-cleanweb (= ${binary:Version}),
 leechcraft-poshuku-filescheme (= ${binary:Version}),
 leechcraft-poshuku-fua (= ${binary:Version}),
 leechcraft-poshuku-wyfv (= ${binary:Version}),
 leechcraft-seekthru (= ${binary:Version}),
 leechcraft-summary (= ${binary:Version}),
 leechcraft-tabpp (= ${binary:Version}),
 leechcraft-vgrabber (= ${binary:Version})
Recommends:
 libqt4-sql-psql (>= 4.6.0)
Description: full LeechCraft installation
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package is a meta package which installs all the LeechCraft's
 plugins.

Package: leechcraft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-sql-sqlite (>= 4.6.0), libqt4-sql-psql (>= 4.6.0),
 leechcraft-libxmlsettingsdialog0.3.0 (= ${binary:Version}),
 leechcraft-libplugininterface0.3.0 (= ${binary:Version}),
 leechcraft-iconset
Recommends: leechcraft-aggregator,
 leechcraft-auscrie,
 leechcraft-cstp,
 leechcraft-dbusmanager,
 leechcraft-deadlyrics,
 leechcraft-historyholder,
 leechcraft-kinotify,
 leechcraft-lcftp,
 leechcraft-lmp,
 leechcraft-networkmonitor,
 leechcraft-newlife,
 leechcraft-poshuku,
 leechcraft-poshuku-cleanweb,
 leechcraft-poshuku-filescheme,
 leechcraft-poshuku-fua,
 leechcraft-poshuku-wyfv,
 leechcraft-seekthru,
 leechcraft-summary,
 leechcraft-tabpp,
 leechcraft-vgrabber
Suggests: leechcraft-anhero
Description: core executable of LeechCraft
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package contains the main LeechCraft executable, which connects
 all the plugins with each other, routes requests between them, tracks
 dependencies and performs several other housekeeping tasks.

Package: leechcraft-dev
Section: devel
Architecture: any
Depends: leechcraft (= ${binary:Version}),
 ${misc:Depends}
Description: files required for developmen for LeechCraft.
 This package contains header files required to develop new modules for
 LeechCraft.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.

Package: leechcraft-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: debug symbols for LeechCraft
 This package contains the debug symbols for LeechCraft and all the
 official plugins.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.

Package: leechcraft-libxmlsettingsdialog0.3.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dynamic settings dialog builder for LeechCraft
 XmlSettingsDialog provides a simple but powerful and abstract way to
 create settings dialogs from XML files and store their (and not only)
 values.

Package: leechcraft-libplugininterface0.3.0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: common library for LeechCraft
 A library providing some useful and commonly used routines as well as
 communications with the LeechCraft core.

Package: leechcraft-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-http
Provides: leechcraft-provider-feedreader
Recommends: leechcraft-provider-webbrowser,
 leechcraft-provider-tasksview
Description: RSS/Atom feed reader for LeechCraft
 This package contains Aggregator, the RSS/Atom feed reader. It features:
  * RSS 0.92/0.93/1.0/2.0, Atom 0.3/1.0;
  * extensions like GeoRSS, MediaRSS, Comment API etc; 
  * OPML support;
  * broadcatching and fetching arbitrary data with regexps;
  * tape mode for news display;
  * individual options for each channel like update interval;
  * storage either in SQLite or PostgreSQL;
  * exporting feeds to FB2 for further reading on handheld devices.
 .
 A web browser plugin is recommended to show the news in a fancy way.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-anhero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: crash handler for LeechCraft
 This package contains AnHero, the crash handler for LeechCraft.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-auscrie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: screenshooter for LeechCraft
 This package contains Auscrie, the auto screenshooter for LeechCraft.
 It can make screenshots of LeechCraft and then either save them locally
 or upload them to an imagebin.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-chatter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: IRC client for LeechCraft
 This package contains a simple IRC client.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-cstp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-tasksview
Provides: leechcraft-provider-http
Description: HTTP client for LeechCraft
 This package contains clean and simple HTTP implementation.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-dbusmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Provides: leechcraft-provider-dbus
Description: D-Bus side of LeechCraft
 This package provides some DBus-related features, like integration with
 desktop notifications (KDE ≥ 4.4 and others supporting libnotify
 interfaces).
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-deadlyrics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: song lyrics finder for LeechCraft
 This package contains a simple client for finding song lyrics on
 various sites.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-historyholder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: history keeper for LeechCraft
 This package contains a history keeper that stores information about
 finished downloads and similar events.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-kinotify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Description: fancy notifications for LeechCraft
 This package contains Kinotify which provides fancy notifications for
 LeechCraft instead of old-style tray-based ones.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-lmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version})
Provides: leechcraft-provider-mediaplayer
Description: media previewer for LeechCraft
 This package contains the LMP, LeechCraft Media Previewer, small and
 dirty media player designed to preview already downloaded files or to
 stream media content live.
 .
 LeechCraft is a free modular "Internet client" application.
 .
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.

Package: leechcraft-lcftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 leechcraft (= ${binary:Version}),
 leechcraft-provider-searchesview
Description: FTP client for LeechCraft

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake ./src -DENABLE_AGGREGATOR=false -DENABLE_FTP=false -DENABLE_TORRENT=false -DENABLE_AZOTH=True -DENABLE_SECMAN=True -DENABLE_LACKMAN=True
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/leechcraft install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## leechcraft 0.4.55-maemo-2

=== debian/changelog ===
leechcraft (0.4.55-maemo-2) unstable; urgency=low

  * Delete packages

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 17 Feb 2011 20:16:14 +0300

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Homepage: http://leechcraft.org
 
 Package: leechcraft-full
+Section: deleted
 Architecture: any
 Depends: ${misc:Depends},
  libqt4-sql-sqlite (>= 4.6.0),
@@ -45,8 +46,6 @@
  leechcraft-summary (= ${binary:Version}),
  leechcraft-tabpp (= ${binary:Version}),
  leechcraft-vgrabber (= ${binary:Version})
-Recommends:
- libqt4-sql-psql (>= 4.6.0)
 Description: full LeechCraft installation
  LeechCraft is a free modular "Internet client" application.
  .
@@ -63,32 +62,7 @@
 
 Package: leechcraft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqt4-sql-sqlite (>= 4.6.0), libqt4-sql-psql (>= 4.6.0),
- leechcraft-libxmlsettingsdialog0.3.0 (= ${binary:Version}),
- leechcraft-libplugininterface0.3.0 (= ${binary:Version}),
- leechcraft-iconset
-Recommends: leechcraft-aggregator,
- leechcraft-auscrie,
- leechcraft-cstp,
- leechcraft-dbusmanager,
- leechcraft-deadlyrics,
- leechcraft-historyholder,
- leechcraft-kinotify,
- leechcraft-lcftp,
- leechcraft-lmp,
- leechcraft-networkmonitor,
- leechcraft-newlife,
- leechcraft-poshuku,
- leechcraft-poshuku-cleanweb,
- leechcraft-poshuku-filescheme,
- leechcraft-poshuku-fua,
- leechcraft-poshuku-wyfv,
- leechcraft-seekthru,
- leechcraft-summary,
- leechcraft-tabpp,
- leechcraft-vgrabber
-Suggests: leechcraft-anhero
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: core executable of LeechCraft
  LeechCraft is a free modular "Internet client" application.
  .
@@ -105,7 +79,7 @@
  dependencies and performs several other housekeeping tasks.
 
 Package: leechcraft-dev
-Section: devel
+Section: deleted
 Architecture: any
 Depends: leechcraft (= ${binary:Version}),
  ${misc:Depends}
@@ -124,7 +98,7 @@
  implementation.
 
 Package: leechcraft-dbg
-Section: debug
+Section: deleted
 Architecture: any
 Depends: ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -143,7 +117,7 @@
  implementation.
 
 Package: leechcraft-libxmlsettingsdialog0.3.0
-Section: libs
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: dynamic settings dialog builder for LeechCraft
@@ -152,7 +126,7 @@
  values.
 
 Package: leechcraft-libplugininterface0.3.0
-Section: libs
+Section: deleted
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
 Description: common library for LeechCraft
@@ -160,6 +134,7 @@
  communications with the LeechCraft core.
 
 Package: leechcraft-aggregator
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -187,6 +162,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-anhero
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -200,6 +176,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-auscrie
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -215,6 +192,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-chatter
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -228,6 +206,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-cstp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -243,6 +222,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-dbusmanager
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -259,6 +239,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-deadlyrics
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -274,6 +255,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-historyholder
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
@@ -289,6 +271,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-kinotify
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -303,6 +286,7 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-lmp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version})
@@ -319,8 +303,24 @@
  download or play podcasts and other media files and much more.
 
 Package: leechcraft-lcftp
+Section: deleted
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  leechcraft (= ${binary:Version}),
  leechcraft-provider-searchesview
 Description: FTP client for LeechCraft
+ This package adds FTP support and provides a simple two-panel FTP
+ client based on libcurl.
+ .
+ LeechCraft is a free modular "Internet client" application.
+ .
+ LeechCraft allows to browse the web, read RSS/Atom feeds, download
+ files via BitTorrent, HTTP, FTP and DC, automatically stream,
+ download or play podcasts and other media files and much more.
+
+Package: leechcraft-networkmonitor
+Section: deleted
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ leechcraft (= ${binary:Version})
+Description: network monitor for LeechCraft
